/* 农机告警相关API */
import {
  http,
  Method
} from '@/utils/request.js';
import storage from "@/utils/storage.js";
import api from "@/config/api.js";
import config from "@/config/config.js";
const userInfo = storage.getUserInfo()
/**
 * 获取所有设备列表
 * @returns {Promise} 设备列表
 */
export function machineAlarmRecordsList(params = {}) {
  return http.request({
    url: 'base/machineAlarmRecords/list',
    method: Method.GET,
	  needToken: true,
    params: params
  });
}